net.minecraft.client.renderer.tileentity

## Class TileEntityRendererPiston

- java.lang.Object
- - net.minecraft.client.renderer.tileentity.TileEntitySpecialRenderer
  - - net.minecraft.client.renderer.tileentity.TileEntityRendererPiston

-     public class TileEntityRendererPiston
      extends TileEntitySpecialRenderer

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.client.renderer.tileentity.TileEntitySpecialRenderer

      `field_147501_a`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TileEntityRendererPiston()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `func_147496_a(World p_147496_1_)`
    `void` | `renderTileEntityAt(TileEntity p_147500_1_, double p_147500_2_, double p_147500_4_, double p_147500_6_, float p_147500_8_)`
    `void` | `renderTileEntityAt(TileEntityPiston p_147515_1_, double p_147515_2_, double p_147515_4_, double p_147515_6_, float p_147515_8_)`

    - ### Methods inherited from class net.minecraft.client.renderer.tileentity.TileEntitySpecialRenderer

      `bindTexture, func_147497_a, func_147498_b`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TileEntityRendererPiston

          public TileEntityRendererPiston()

  - ### Method Detail

    - #### renderTileEntityAt

          public void renderTileEntityAt(TileEntityPiston p_147515_1_,
                                double p_147515_2_,
                                double p_147515_4_,
                                double p_147515_6_,
                                float p_147515_8_)

    - #### func_147496_a

          public void func_147496_a(World p_147496_1_)

      Overrides:
        `func_147496_a` in class `TileEntitySpecialRenderer`

    - #### renderTileEntityAt

          public void renderTileEntityAt(TileEntity p_147500_1_,
                                double p_147500_2_,
                                double p_147500_4_,
                                double p_147500_6_,
                                float p_147500_8_)

      Specified by:
        `renderTileEntityAt` in class `TileEntitySpecialRenderer`